
#[derive(Deserialize, Debug)]
pub struct Color {
    pub hue: f32,
    pub saturation: f32,
    pub kelvin: f32,
}

#[derive(Deserialize, Debug)]
pub struct Light {
    pub id: String,
    pub label: String,
    pub connected: bool,
    pub power: String,
    pub color: Color,
    pub brightness: f32,
}

